#{validationPackage /}
#{set 'moreScripts'}
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"> </script>
<script src="@{'/public/javascripts/ladda/spin.min.js'}" type="text/javascript"> </script>
<script src="@{'/public/javascripts/ladda/ladda.min.js'}" type="text/javascript"> </script>
<script type="text/javascript">
    var checkedItems = ${_json};
    Number.prototype.format = function(n, x) {
        var re = '\\d(?=(\\d{' + (x || 3) + '})+' + (n > 0 ? '\\.' : '$') + ')';
        return this.toFixed(Math.max(0, ~~n)).replace(new RegExp(re, 'g'), '$&,');
    };
    var params = {};
    params['lang'] = '${play.i18n.Lang.get()}';
    params['action'] = '${_action}';
    params['token'] = jQuery('input[name=authenticityToken]').val();
    params['queryAction'] = '${_searchUrl}';
    params['messages'] = {};
    params['button'] = {};
    params['button']['save'] = '&{'save'}';
    params['button']['next'] = '&{'next'}';
    params['messages']['acceptance_empty'] = '&{'paket.acceptance_empty'}';
    params['messages']['invoice_number_empty'] = '&{'paket.invoice_number_empty'}';
    params['messages']['total_invoice_empty'] = '&{'paket.total_invoice_empty'}';
    params['messages']['invoice_date_empty'] = '&{'paket.invoice_date_empty'}';
    params['messages']['total_payment_empty'] = '&{'paket.total_payment_empty'}';
    params['messages']['total_invoice_not_equal'] = '&{'paket.total_invoice_not_equal'}';
    params['messages']['payment_receipt_empty'] = '&{'paket.payment_receipt_empty'}';
    params['messages']['total_invoice_numeric'] = '&{'paket.total_invoice_numeric'}';
    params['messages']['payment_date_empty'] = '&{'paket.payment_date_empty'}';
    params['messages']['payment_date_wrong_format'] = '&{'payment_date_wrong_format'}';
    params['messages']['invoice_date_empty'] = '&{'paket.invoice_date_empty'}';
    params['messages']['invoice_date_wrong_format'] = '&{'invoice_date_wrong_format'}';
    params['isVerification'] = ${_verification};

    $(document).ready(function() {
        $('.total-invoice').onChangeCurrencyFormatter(params.lang);
        jQuery(function () {
            jQuery.getScript("@{'/public/javascripts/paket/payment.js'}");
        });
    });

</script>
#{/set}